image: fabianm/comp1110-2025-s1-gitlab-ci:0.8.3

stages:
  - compliance
  - build
  - test

compliance:
  tags:
    - comp1110
  stage: compliance
  script:
    - python3 /p4/checkrepofiles.py
  allow_failure: true

build:
  tags:
    - comp1110
  stage: build
  script:
    - /p4/compile.sh

  artifacts:
    paths:
      - ./out/production/comp6710-2025s1-p4/*.class
      - ./out/test/comp6710-2025s1-p4/*.class

testInterface:
  tags:
    - comp1110
  stage: test
  script:
    - /p4/testinterface.sh
  allow_failure: true

mark:
  tags:
    - comp1110
  stage: test
  script:
    - /p4/test.sh
  allow_failure: true

testConsListList:
  tags:
    - comp1110
  stage: test
  script:
    - /p4/runstudenttests.sh ConsListListTests
  allow_failure: true


testBox:
  tags:
    - comp1110
  stage: test
  script:
    - /p4/runstudenttests.sh BoxTests
  allow_failure: true
